#!/usr/bin/env bash
set -ex
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source /deployment/deploy/helpers/aws_keys.sh
source $(pwd)/config/configuration
source /deployment/deploy/helpers/run_command.sh
source /deployment/deploy/helpers/print_line.sh

export ART_SAAS=${ART_SAAS:-cb-docker-prod-local.usw1.packages.broadcom.com}
PURGE_STRATEGY_NEVER=${PURGE_STRATEGY_NEVER:-false}

printp "PUSHING IMAGE"
IMAGE_TAG=${IMAGE_TAG:-"${ART_SAAS}/cbd/${SERVICE_NAME}:latest"}
REPO_TAG=${IMAGE_TAG}
if [[ "$REPO_TAG" != *":"* ]]; then
  REPO_TAG=${IMAGE_TAG}:${LABEL_TAG_PREFIX}latest
fi
docker push $REPO_TAG
export IMAGE_DIGEST=$(docker image inspect --format "{{.RepoDigests}}" $REPO_TAG | tr -d '[' | tr -d ']')
printp "DIGEST $IMAGE_DIGEST"
docker rmi $REPO_TAG
printp "IMAGE PUSHED!"
