#!/usr/bin/env bash
set -e
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source $(pwd)/config/configuration
source /deployment/deploy/helpers/run_command.sh
source /deployment/deploy/helpers/print_line.sh

export ART_SAAS=${ART_SAAS:-cb-docker-prod-local.usw1.packages.broadcom.com}
export ENV=localdev
export REGISTRY=${ART_SAAS}
export IMAGE_TAG="${REGISTRY}/cbd/${SERVICE_NAME}:${IMAGE_VERSION:-latest}"
export DEPLOY=${DEPLOY:-false}
export PURGE_STRATEGY_NEVER=${PURGE_STRATEGY_NEVER:-false}

/deployment/build/build.sh

if [ "$DEPLOY" = true ]; then
    IMAGE_TAG=${IMAGE_TAG} \
    DOCKER_REGISTRY="${REGISTRY}" \
    /deployment/build/push.sh
fi